Get Conversion Report
curl --request POST \
--url https://api.eflow.team/v1/networks/reporting/conversions \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"show_conversions": true,
"show_events": false,
"from": "2026-03-01",
"to": "2026-03-31",
"timezone_id": 67,
"currency_id": "USD",
"query": {
"filters": [],
"search_terms": []
}
}
'import requests
url = "https://api.eflow.team/v1/networks/reporting/conversions"
payload = {
"show_conversions": True,
"show_events": False,
"from": "2026-03-01",
"to": "2026-03-31",
"timezone_id": 67,
"currency_id": "USD",
"query": {
"filters": [],
"search_terms": []
}
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
show_conversions: true,
show_events: false,
from: '2026-03-01',
to: '2026-03-31',
timezone_id: 67,
currency_id: 'USD',
query: {filters: [], search_terms: []}
})
};
fetch('https://api.eflow.team/v1/networks/reporting/conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversions": [
{
"adv1": "<string>",
"adv2": "<string>",
"adv3": "<string>",
"adv4": "<string>",
"adv5": "<string>",
"adv6": "<string>",
"adv7": "<string>",
"adv8": "<string>",
"adv9": "<string>",
"adv10": "<string>",
"android_id": "<string>",
"android_id_md5": "<string>",
"android_id_sha1": "<string>",
"app_id": "<string>",
"brand": "<string>",
"browser": "<string>",
"carrier": "<string>",
"city": "<string>",
"click_unix_timestamp": 123,
"conversion_id": "<string>",
"conversion_unix_timestamp": 123,
"conversion_user_ip": "<string>",
"country": "<string>",
"coupon_code": "<string>",
"currency_id": "<string>",
"device_model": "<string>",
"device_type": "<string>",
"dma": 123,
"email": "<string>",
"error_code": 123,
"error_message": "<string>",
"event": "<string>",
"google_ad_id": "<string>",
"google_ad_id_md5": "<string>",
"google_ad_id_sha1": "<string>",
"http_user_agent": "<string>",
"idfa": "<string>",
"idfa_md5": "<string>",
"idfa_sha1": "<string>",
"is_event": true,
"is_scrub": true,
"is_view_through": true,
"isp": "<string>",
"language": "<string>",
"network_offer_payout_revenue_id": 123,
"notes": "<string>",
"order_id": "<string>",
"os_version": "<string>",
"payout": 123,
"payout_type": "<string>",
"platform": "<string>",
"previous_network_offer_id": 123,
"referer": "<string>",
"region": "<string>",
"relationship": {
"account_manager": {
"first_name": "<string>",
"full_name": "<string>",
"last_name": "<string>",
"network_employee_id": 123,
"network_id": 123
},
"adv_global_event": {
"advertiser_id": 123,
"entry_name": "<string>",
"network_advertiser_global_event_id": 123,
"network_id": 123
},
"advertiser": {
"name": "<string>",
"network_advertiser_id": 123,
"network_id": 123
},
"affiliate": {
"name": "<string>",
"network_affiliate_id": 123,
"network_id": 123
},
"affiliate_manager": {
"first_name": "<string>",
"full_name": "<string>",
"last_name": "<string>",
"network_employee_id": 123,
"network_id": 123
},
"affiliate_tier": {
"name": "<string>",
"network_affiliate_tier_id": 123,
"network_id": 123
},
"campaign": {
"campaign_name": "<string>",
"network_campaign_id": 123,
"network_id": 123
},
"candidate_clicks": {
"relationship": {
"affiliate": {
"name": "<string>",
"network_affiliate_id": 123,
"network_id": 123
}
},
"transaction_id": "<string>",
"unix_timestamp": 123
},
"click_attribution_method": "<string>",
"conversion_referer": "<string>",
"custom_payout_revenue": {
"name": "<string>",
"network_custom_payout_revenue_setting_id": 123,
"network_id": 123
},
"events_count": 123,
"is_enforce_caps": true,
"line_items_custom_payout_revenue_settings": {
"name": "<string>",
"network_custom_payout_revenue_setting_id": 123,
"network_id": 123
},
"offer": {
"name": "<string>",
"network_id": 123,
"network_offer_id": 123
},
"offer_group": {
"name": "<string>",
"network_advertiser_id": 123,
"network_id": 123,
"network_offer_group_id": 123,
"offer_count": 123
},
"offer_url": {
"name": "<string>",
"network_id": 123,
"network_offer_id": 123,
"network_offer_url_id": 123
},
"on_hold_snapshots": {
"network_employee": {
"first_name": "<string>",
"full_name": "<string>",
"last_name": "<string>",
"network_employee_id": 123,
"network_id": 123
},
"network_id": 123,
"on_hold_conversion_history_snapshot_id": 123,
"on_hold_conversion_id": "<string>",
"unix_timestamp": 123
},
"order_line_items": {
"discount": 123,
"name": "<string>",
"network_order_line_item_id": 123,
"order_id": 123,
"order_number": 123,
"price": 123,
"product_id": 123,
"quantity": 123,
"sku": "<string>"
},
"postback_control": {
"name": "<string>",
"network_id": 123,
"network_postback_control_id": 123
},
"redirect_url": "<string>",
"referer": "<string>",
"snapshots": {
"conversion_history_snapshot_id": 123,
"conversion_id": "<string>",
"error_code": 123,
"network_employee": {
"first_name": "<string>",
"full_name": "<string>",
"last_name": "<string>",
"network_employee_id": 123,
"network_id": 123
},
"network_id": 123,
"payout": 123,
"revenue": 123,
"sale_amount": 123,
"unix_timestamp": 123
},
"tiered_commission": {
"name": "<string>",
"network_id": 123,
"network_tiered_commission_id": 123
},
"unix_timestamp_postback": 123,
"usm_data": {},
"query_parameters": {}
},
"revenue": 123,
"revenue_type": "<string>",
"sale_amount": 123,
"session_user_ip": "<string>",
"source_id": "<string>",
"sub1": "<string>",
"sub2": "<string>",
"sub3": "<string>",
"sub4": "<string>",
"sub5": "<string>",
"sub6": "<string>",
"sub7": "<string>",
"sub8": "<string>",
"sub9": "<string>",
"sub10": "<string>",
"transaction_id": "<string>",
"url": "<string>"
}
],
"paging": {
"page": 123,
"page_size": 123,
"total_count": 123
}
}Conversions
Get Conversion Report
POST
/
networks
/
reporting
/
conversions
Get Conversion Report
Extract conversions with flexible filtering. Limited to the prior 365 days
and a maximum date range of 1 year. Requires from/to dates, timezone_id,
and show_conversions/show_events booleans.
Pagination is controlled through the
Pending view-through conversions on a specific offer:
Conversions by multiple transaction IDs:
page and page_size query parameters,
not the JSON request body. For example, ?page=2&page_size=100 returns the
second page of 100 conversions.
Examples
Approved base conversions over the last hour:{
"from": "2026-03-09 14:00:00",
"to": "2026-03-09 15:00:00",
"timezone_id": 90,
"currency_id": "USD",
"show_conversions": true,
"show_events": false,
"query": {
"filters": [
{"filter_id_value": "approved", "resource_type": "status"}
]
}
}
{
"from": "2026-03-01",
"to": "2026-03-07",
"timezone_id": 90,
"currency_id": "USD",
"show_conversions": true,
"show_events": false,
"query": {
"filters": [
{"filter_id_value": "pending", "resource_type": "status"},
{"filter_id_value": "42", "resource_type": "offer"}
]
}
}
{
"from": "2026-03-01",
"to": "2026-03-07",
"timezone_id": 90,
"currency_id": "USD",
"show_conversions": true,
"show_events": true,
"query": {
"filters": [
{"filter_id_value": "9c0534c99eb34b57bda16f92b6d5d3d4", "resource_type": "transaction_id"},
{"filter_id_value": "307971a211b74db98c3c11d5e83c082a", "resource_type": "transaction_id"}
]
}
}
Authorizations
The Everflow API key generated from the Control Center > Security.
Query Parameters
The page of results to retrieve.
Required range:
x >= 1The number of results to return per page.
Required range:
x >= 1Body
application/json
Was this page helpful?
⌘I
